---
title: "Update Webhooks Registration"
url: "https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/72a6ef34-73d4-4940-b586-d4154e57aaea/operations/updateNotificationRegistration"
---

> Full API specification: https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/72a6ef34-73d4-4940-b586-d4154e57aaea.md

# Update Webhooks Registration

`PUT` `/partner/api/notification/v1/notification-registrations/{registrationId}`

Operation ID: `updateNotificationRegistration`

This API is used to update the existing registration details for Webhook notifications

## Path parameters

- `registrationId` (string, required) - UUID of the registration

## Request body (required)

Content types: `application/json`

## Responses

- `200` - SUCCESS
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Notification Service - V1 APIs
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/notification/v1/notification-registrations/{registrationId}:
    put:
      tags:
        - WebhooksRegistration
      summary: Update Webhooks Registration
      description: This API is used to update the existing registration details for
        Webhook notifications
      operationId: updateNotificationRegistration
      security:
        - oauth2:
            - edit:notification_registrations
          tags:
            - Update a subscriber's notification preference
      parameters:
        - in: path
          name: registrationId
          schema:
            type: string
          required: true
          description: UUID of the registration
      requestBody:
        description: Registration details
        required: true
        content:
          application/json:
            schema:
              description: Update registration details
              type: object
              required:
                - webhookURI
                - eventTypes
              properties:
                webhookURI:
                  type: string
                  description: >
                    The secure URI of the webhook to be called when an event
                    occurs (supports only https protocol)


                    To ensure a smoother integration, avoid using endpoints that
                    end with slashes, as these trailing slashes will be
                    automatically removed from the URI.
                  example: https://push-notifications.pexa.com.au/notifications-webhook
                eventTypes:
                  type: array
                  items:
                    type: string
                  description: >-
                    Through this field, Integrators have the ability to
                    subscribe to a variety of notification types based on their
                    preferences. <br></br> Note: A registration must be created
                    with at least one preferred event type and all mandatory
                    event types for successful registration. <br></br> Preferred
                    Webhook Events  <li>WORKSPACE_PARTICIPANT_ADDED</li>
                    <li>FINANCIAL_SETTLEMENT_SCHEDULE_PREPARED</li>
                    <li>LODGEMENT_CASE_PREPARED</li>
                    <li>LODGEMENT_CASE_PARTIALLY_REGISTERED</li>
                    <li>LODGEMENT_CASE_REGISTRATION_REJECTED</li>
                    <li>WORKSPACE_PREPARED</li>
                    <li>WORKSPACE_FUNDS_AUTHORISED</li>
                    <li>WORKSPACE_FUNDS_EXCHANGED</li> <li>WORKSPACE_LODGED</li>
                    <li>WORKSPACE_CLOSED</li> <li>WORKSPACE_REQUISITIONED</li>
                    <li>WORKSPACE_CANCELLED</li>
                    <li>WORKSPACE_REVERTED_TO_CREATED</li>
                    <li>TITLE_DATA_RECEIVED</li> <li>TITLE_SEARCH_PENDING</li>
                    <li>TITLE_NOT_FOUND</li>

                    Mandatory Webhook Events  <li>SECRET_EXPIRY</li>
                  example:
                    - WORKSPACE_PARTICIPANT_ADDED
                    - WORKSPACE_PREPARED
                    - WORKSPACE_LODGED
                    - SECRET_EXPIRY
      responses:
        "200":
          description: SUCCESS
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                description: New registration details, containing `id` attribute
                type: object
                required:
                  - webhookURI
                  - registrationId
                properties:
                  webhookURI:
                    type: string
                    description: The secure URI of the webhook to be called when an event occurs
                      (supports only https protocol)
                    example: https://push-notifications.pexa.com.au/notifications-webhook
                  registrationId:
                    type: string
                    description: The registration ID returned by create notification registration
                      API
                    example: a12sd23sf4f5f6f9
                  subscriberId:
                    type: string
                    description: The ID of the subscriber
                    example: "123456789"
                  sharedSecret:
                    type: string
                    description: The shared secret used to validate the webhook request
                    example: 38e5d78c-d642-42d1-8064-0082dc87c4e5
                  sharedSecretExpiry:
                    type: string
                    description: The expiry time for current shared secret
                    example: 2025-03-13 04:12:51.574000 +00:00
                  eventTypes:
                    type: array
                    items:
                      type: string
                    description: The list of eventTypes that this registration will send
                      notifications for
                    example:
                      - WORKSPACE_PARTICIPANT_ADDED
                      - WORKSPACE_PREPARED
                      - WORKSPACE_LODGED
                      - SECRET_EXPIRY
        "400":
          description: Bad Request
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.400000
                        message:
                          description: |
                            The error message.
                          type: string
                          example: "Invalid UUID string: not-a-valid-id"
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.400000
                    message: "Invalid UUID string: 123"
                    field: null
        "401":
          description: Unauthorized
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.401004
                        message:
                          description: |
                            The error message.
                          type: string
                          example: Unauthorized
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.401004
                    message: Unauthorized
                    field: null
        "403":
          description: Forbidden
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.403003
                        message:
                          description: |
                            The error message.
                          type: string
                          example: Access Denied
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.403003
                    message: Forbidden
        "500":
          description: Internal Server Error
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                        message:
                          description: |
                            The error message.
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - message: Internal Server Error
security:
  - oauth2:
      - edit:notification_registrations
    tags:
      - Update a subscriber's notification preference
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            create:notification_registrations: Create notification registrations
            edit:notification_registrations: Edit notification registrations
            delete:notification_registrations: Delete notification registrations
            create:notification_registrations_secret_rotation: Create notification registrations secret rotation
            view:notifications: View notifications
            create:notification_retry: Retry a notification
            create:webhook_domains: Whitelist a webhook domain
```
